/** @file   morse.c
 *  @brief  Funktionen für die Ausgabe von Speichertexten
 *  @author Tom, DL7BJ
 */

#include "globals.h"
#include "functions.h"

extern void SendChar(unsigned char c);
extern void SendString(char *s);

/** @fn     SetStandardMsg(void)
 *  @brief  Schreibt Standardnachrichten in den EEprom Speicher
 *          wenn dieses leer ist (nach dem Flashen des Controllers)
 *  @param  none
 *  @return none
 */
void SetStandardMsg(void)
{
//                    1         2         3         4         5         6         7         8        9 
//           123456789012345678901234567890123456789012345678901234567890123456789012345678901235678901234567890
    sprintf(bMessage.Msg4,
            "CQ CQ CQ DE DL7BJ DL7BJ DL7BJ PSE K");
    sprintf(bMessage.Msg3,
            "NAME IS TOM TOM = QTH NR OLDENBURG OLDENBURG");
    sprintf(bMessage.Msg2,
            "QSL VIA BUREAU OK = TNX FER NICE QSO = 73");
    sprintf(bMessage.Msg1,
            "CQ RBN TEST CQ RBN TEST CQ RBN TEST DE DL7BJ DL7BJ DL7BJ PSE NO QSO");
}

/** @fn     endMemory(uint8_t MemoryIndex)
 *  @brief  Sendet den Text eines Speichers
 *
 *  @param  Nummer des Speichers
 *  @return none
 */
void SendMemory(uint8_t MemoryIndex)
{
    switch(MemoryIndex)
    {
        case 1:
            SendString(bMessage.Msg1);
        break;
        case 2:
            SendString(bMessage.Msg2);
        break;
        case 3:
            SendString(bMessage.Msg3);
        break;
        case 4:
            SendString(bMessage.Msg4);
        break;
        case 5:
            SendString(bMessage.Msg5);
        break;
    }
}

void ReadTextMsg(unsigned char *s)
{
}
/** @fn     WriteMsg(unsigned char *)
 *  @brief  Textspeicher schreiben
 *  @param  Zeiger auf Zeichenkette
 *  @return none
 */
void WriteTextMsg(unsigned char *s)
{
    
}
